#if !defined(AFX_GETCARDSBYCH_H__2B303C22_065F_47CD_A372_03D9EEB05BE8__INCLUDED_)
#define AFX_GETCARDSBYCH_H__2B303C22_065F_47CD_A372_03D9EEB05BE8__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// GetCardsByCH.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CGetCardsByCH dialog

class CGetCardsByCH : public CDialog
{
// Construction
public:
	CGetCardsByCH(CWnd* pParent = NULL);   // standard constructor
	CGetCardsByCH(IApplication *pApp);
// Dialog Data
	//{{AFX_DATA(CGetCardsByCH)
	enum { IDD = IDD_GETCARDSBYCHID };
	CListCtrl	m_CardListView;
	CComboBox	m_CHList;
	CComboBox	m_AcctList;
	CComboBox	m_SubAcctList;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CGetCardsByCH)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CGetCardsByCH)
	virtual BOOL OnInitDialog();
	afx_msg void OnSelchangeAcctlist();
	afx_msg void OnSelchangeSubAcctlist();
	//virtual void OnOK();
	afx_msg void OnUnassignedcards();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	IApplicationPtr pApplication;
	int m_nAccessType;
	void LoadAccounts();
	void LoadSubAccounts();
	void LoadCardHolders();
	void LoadAllCards();
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_GETCARDSBYCH_H__2B303C22_065F_47CD_A372_03D9EEB05BE8__INCLUDED_)
